Name:           gnome-getting-started-docs
Version:        3.10.2
Release:        1%{?dist}
Summary:        Help a new user get started in GNOME

License:        CC-BY-SA
URL:            http://help.gnome.org/
Source0:        http://download.gnome.org/sources/gnome-getting-started-docs/3.10/%{name}-%{version}.tar.xz
# We need to patch gs-browse-web-firefox.page and gs-browse-web.page since
# upstream doesn't ship Firefox
Patch0:         gs-browse-web-firefox.page.patch
Group:          Documentation

BuildArch:      noarch

BuildRequires:  pkgconfig
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  yelp-tools
Requires: gnome-user-docs

%description
This package contains a 'Getting Started' guide that can be viewed
with yelp. It is normally used together with gnome-initial-setup.


%package cs
Summary:        Czech translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description cs
Czech (cs) translations for the Getting Started guide videos.


%package de
Summary:        German translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description de
German (de) translations for the Getting Started guide videos.


%package es
Summary:        Spanish translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description es
Spanish (es) translations for the Getting Started guide videos.


%package gl
Summary:        Galician translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description gl
Galician (gl) translations for the Getting Started guide videos.


%package hu
Summary:        Hungarian translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description hu
Hungarian (hu) translations for the Getting Started guide videos.


%package it
Summary:        Italian translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description it
Italian (it) translations for the Getting Started guide videos.


%package pl
Summary:        Polish translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description pl
Polish (pl) translations for the Getting Started guide videos.


%package pt_BR
Summary:        Brazilian Portuguese translations for gnome-getting-started-docs videos
Group:          Documentation
Requires:       gnome-getting-started-docs = %{version}-%{release}

%description pt_BR
Brazilian Portuguese (pt_BR) translations for the Getting Started guide videos.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name} --all-name --with-gnome


%files -f %{name}.lang
%doc COPYING NEWS AUTHORS
%exclude %{_datadir}/help/cs/gnome-help/figures/
%exclude %{_datadir}/help/de/gnome-help/figures/
%exclude %{_datadir}/help/es/gnome-help/figures/
%exclude %{_datadir}/help/gl/gnome-help/figures/
%exclude %{_datadir}/help/hu/gnome-help/figures/
%exclude %{_datadir}/help/it/gnome-help/figures/
%exclude %{_datadir}/help/pl/gnome-help/figures/
%exclude %{_datadir}/help/pt_BR/gnome-help/figures/

%files cs
%{_datadir}/help/cs/gnome-help/figures/

%files de
%{_datadir}/help/de/gnome-help/figures/

%files es
%{_datadir}/help/es/gnome-help/figures/

%files gl
%{_datadir}/help/gl/gnome-help/figures/

%files hu
%{_datadir}/help/hu/gnome-help/figures/

%files it
%{_datadir}/help/it/gnome-help/figures/

%files pl
%{_datadir}/help/pl/gnome-help/figures/

%files pt_BR
%{_datadir}/help/pt_BR/gnome-help/figures/


%changelog
* Tue Nov 12 2013 Petr Kovar <pkovar@redhat.com> - 3.10.2-1
- Update to 3.10.2

* Tue Oct 15 2013 Petr Kovar <pkovar@redhat.com> - 3.10.1-1
- Update to 3.10.1

* Wed Sep 25 2013 Petr Kovar <pkovar@redhat.com> - 3.10.0.1-1
- Update to 3.10.0.1

* Mon Sep 23 2013 Petr Kovar <pkovar@redhat.com> - 3.9.90-1
- Update to 3.9.90

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Petr Kovar <pkovar@redhat.com> - 3.8.3-1
- Update to 3.8.3

* Tue May 14 2013 Petr Kovar <pkovar@redhat.com> - 3.8.2-1
- Update to 3.8.2
- Add gs-browse-web-firefox.page.patch
- Add subpackages for hu and it

* Wed Apr 17 2013 Petr Kovar <pkovar@redhat.com> - 3.8.1-1
- Update to 3.8.1

* Tue Mar 26 2013 Petr Kovar <pkovar@redhat.com> - 3.8.0.1-1
- Update to 3.8.0.1

* Tue Mar 26 2013 Petr Kovar <pkovar@redhat.com> - 3.8.0-1
- Update to 3.8.0
- Add subpackages for translated videos

* Wed Mar 20 2013 Petr Kovar <pkovar@redhat.com> - 3.7.92-1
- Update to 3.7.92

* Fri Mar  8 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.91-1
- Update to 3.7.91

* Fri Feb 22 2013 Petr Kovar <pkovar@redhat.com> - 3.7.90-2%{?dist}
- gnome-initial-setup fix

* Fri Feb 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.90-1
- Update to 3.7.90

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.2-2%{?dist}
- Add two missing files

* Tue Nov 20 2012 Matthias Clasen <mclasen@redhat.com> - 3.7.2-1%{?dist}
- Initial packaging
